# Method: projects.accounts.batchGet

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects.accounts/batchGet#try-it)

Download account information for all accounts on the project in a paginated manner. To use this method requires a Google OAuth 2.0 credential with proper [permissions](https://cloud.google.com/identity-platform/docs/access-control).. Furthermore, additional permissions are needed to get password hash, password salt, and password version from accounts; otherwise these fields are redacted.

### HTTP request

`GET https://identitytoolkit.googleapis.com/v1/projects/{targetProjectId}/accounts:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `targetProjectId` | `string` If `tenantId` is specified, the ID of the Google Cloud project that the Identity Platform tenant belongs to. Otherwise, the ID of the Google Cloud project that the accounts belong to. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `targetProjectId`: - `firebaseauth.users.get` |

### Query parameters

| Parameters ||
|---|---|
| `delegatedProjectNumber (deprecated)` | `string (https://developers.google.com/discovery/v1/type-format format)` |
| `nextPageToken` | `string` The pagination token from the response of a previous request. |
| `maxResults` | `integer` The maximum number of results to return. Must be at least 1 and no greater than 1000. By default, it is 20. |
| `tenantId` | `string` The ID of the Identity Platform tenant the accounts belongs to. If not specified, accounts on the Identity Platform project are returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/DownloadAccountResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).